%global commitId cda9ee28887335ff6756ffad5f9da180c22252cf

Name:          aap-azure-billing
Version:       0.2.12
Release:       1%{?dist}
Summary:       Ansible Automation Platform Billing connector

License:       Apache-2.0
URL:           https://github.com/ansible/ansible-automation-platform-billing
Source0:       aap-cloud-billing-cda9ee28887335ff6756ffad5f9da180c22252cf.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-pbr
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools

Requires:      python%{python3_pkgversion}-boto3
Requires:      python%{python3_pkgversion}-dateutil
Requires:      python%{python3_pkgversion}-django
Requires:      python%{python3_pkgversion}-requests
Requires:      python%{python3_pkgversion}-psycopg2
Requires:      python%{python3_pkgversion}-pyyaml

%description
Ansible Automation Platform Billing connector

%prep
%autosetup -n aap-cloud-billing-%{commitId} -S git

%build
export PBR_VERSION=%{version}
%{py3_build}

%install
export PBR_VERSION=%{version}
%{py3_install}

%files
%{python3_sitelib}/*
%{_bindir}/aap-billing
%{_bindir}/aap-billing-audit
%{_bindir}/aap-billing-manage
%license LICENSE
%doc ChangeLog README.md

%changelog
* Thu Mar 21 2024 Dimitri Savineau <dsavinea@redhat.com> - 0.2.12-1
- Update to 0.2.12

* Mon Mar 18 2024 Dimitri Savineau <dsavinea@redhat.com> - 0.2.11-1
- Update to 0.2.11

* Mon Mar 11 2024 Dimitri Savineau <dsavinea@redhat.com> - 0.2.10-1
- Update to 0.2.10

* Wed Jan 31 2024 Dimitri Savineau <dsavinea@redhat.com> - 0.2.9-1
- Update to 0.2.9

* Mon May 01 2023 Dimitri Savineau <dsavinea@redhat.com> - 0.2.8-1
- Update to 0.2.8

* Tue Feb 28 2023 Dimitri Savineau <dsavinea@redhat.com> - 0.2.7-1
- Update to 0.2.7

* Tue Feb 21 2023 Dimitri Savineau <dsavinea@redhat.com> - 0.2.6-1
- Update to 0.2.6

* Fri Feb 17 2023 Dimitri Savineau <dsavinea@redhat.com> - 0.2.5-1
- Update to 0.2.5

* Wed Oct 12 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.2.4-1
- Update to 0.2.4

* Tue Oct 11 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.2.3-1
- Update to 0.2.3

* Tue Oct 04 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.2.2-1
- Update to 0.2.2

* Tue Aug 16 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Thu Mar 17 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.2.0-1
- Update to 0.2.0

* Tue Nov 23 2021 Dimitri Savineau <dsavinea@redhat.com> - 0.0.1-1
- azure-billing 0.0.1
